<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: ajax_forum_post_ratings_panel.php
| Author: Fangree Productions
| Version: 1.00
| Developers: Ankur Thakur
|             http://ankurthakur.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check If the Infusion is Infused or Not. Done to Minimize Error Logs
$infused_or_not = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='ajax_forum_post_ratings_panel'");

if (dbrows($infused_or_not) > 0) {
// Database Settings
// Fetching Database Settings
$infsettings = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS_INF." WHERE settings_inf='ajax_forum_post_ratings_panel'");
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$infsettings[$data['settings_name']] = $data['settings_value'];
	}
}

if(FUSION_SELF == 'viewthread.php')
{
// Including Locales
if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php";
}
include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";
include INFUSIONS."ajax_forum_post_ratings_panel/includes/functions.php";

// Addign CSS to the Head
add_to_head("<style type='text/css'>
.ratebuttonimage
{
	cursor: pointer;
	opacity: ".$infsettings['opacity'].";
}
.ratebuttonimage:hover
{
	opacity: ".$infsettings['opacity_hover'].";
}
.showratings
{
    font-size: 10px;
	margin: 0px 5px 0px 5px;
}
.showratings img
{
	vertical-align:middle;
}
</style>");

// Adding JS Files
add_to_head("<script type='text/javascript' src='".INFUSIONS."ajax_forum_post_ratings_panel/includes/rate.js'></script>");
add_to_footer("<script type='text/javascript' src='".INFUSIONS."ajax_forum_post_ratings_panel/includes/jquery.qtip-1.0.0-rc3.min.js'></script>");
add_to_footer("<script type='text/javascript'>
$.fn.qtip.styles.mystyle = {	name: '".$infsettings['tooltip_style']."'	}
</script>");
add_to_footer("<script type='text/javascript' src='".INFUSIONS."ajax_forum_post_ratings_panel/includes/jquery.qtip.index.js'></script>");
add_to_head("<link rel='stylesheet' href='".INFUSIONS."ajax_forum_post_ratings_panel/includes/hover.css' type='text/css' media='screen' />");
add_to_footer("<div id='dhtmltooltip'></div><script type='text/javascript' src='".INFUSIONS."ajax_forum_post_ratings_panel/includes/hover.js'></script>");

	function change_output($output)
	{
		global $userdata, $locale, $infsettings;

		$posts = dbquery("SELECT post_id, post_author FROM ".DB_POSTS." WHERE thread_id='".stripinput($_GET['thread_id'])."' ORDER BY post_datestamp LIMIT ".stripinput($_GET['rowstart']).",20");
		while ($data = dbarray($posts))
	   {
   		ob_start();

			echo "</td>\n</tr>\n<tr>\n";
			echo "<td class='tbl2'></td>\n<td class='tbl2'>";
			if (iMEMBER && ($data['post_author'] == $userdata['user_id']))	{
				showratings($data['post_id']);
			}
			else {
				if ($infsettings['ratings_visibility'] == 0 || iMEMBER)	{
				showratings($data['post_id']);	}
				if (iMEMBER) {
				echo "</td>\n</tr>\n";
				echo"<tr>\n<td class='tbl2'><b>".$locale['afpr_001']." :</b></td>\n<td class='tbl2'>";
				showbuttons($data['post_id']); }
			}
			$replace_with = ob_get_contents();
			ob_end_clean();

			$output = preg_replace("/<!--sub_forum_post-->/", "<!--sub_forum_post_".$data['post_id']."-->".$replace_with, $output, 1);
		}
		return $output;
	}
	// Handler for Replacing comment and make it unique with format : <!--sub_forum_post_POST-ID-->
	add_handler("change_output");
	function rollback_output($output)
	{
		$output = preg_replace("/<!--sub_forum_post_(.[^a-z]?)-->/", "<!--sub_forum_post-->", $output);
		return $output;
	}
	// Handler for Rolling back to default format : <!--sub_forum_post-->
	add_handler("rollback_output");
}	// End of FUSION_SELF == 'viewthread.php' condition

}	// End of $infused_or_not condition

?>